using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LocalVariables
{
    class Program
    {
        static void Main(string[] args)
        {
            Examples3_5.ExplicitlyTypedDeclarations();
            Examples6_7.ImplicitlyTypedDeclarations();
            Example8.MultiVariableDeclaration();
            Examples9_10.UsingVariables();
            Examples11_15.UseVariableFromContainingScope();
            Examples16_21.SomeStatements();
            Examples16_21.StatementsAndBlocks();
            Examples16_21.NestedExpressions();
            Examples16_21.MethodInvocationAsStatement();
            Examples16_21.AssignmentsAsExpressions();
        }
    }
}
